SDL_windowshaptic_c.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_thread.h"`
`#include "../SDL_syshaptic.h"`
`#include "../../core/windows/SDL_directx.h"`
`#include "../../core/windows/SDL_xinput.h"`
Include dependency graph for SDL_windowshaptic_c.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | haptic_hwdata
struct | haptic_hweffect
struct | SDL_hapticlist_item

## Functions

int | SDL_SYS_AddHapticDevice (SDL_hapticlist_item *item)
int | SDL_SYS_RemoveHapticDevice (SDL_hapticlist_item *prev, SDL_hapticlist_item *item)

## Variables

SDL_hapticlist_item * | SDL_hapticlist

## Function Documentation

## SDL_SYS_AddHapticDevice()

int SDL_SYS_AddHapticDevice | ( | SDL_hapticlist_item * | item | ) |

## SDL_SYS_RemoveHapticDevice()

int SDL_SYS_RemoveHapticDevice | ( | SDL_hapticlist_item * | prev,
|  | SDL_hapticlist_item * | item
| ) |  |

## Variable Documentation

## SDL_hapticlist

SDL_hapticlist_item* SDL_hapticlist